This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit a408ca718ae3cb4a601c665f6b83d0e76d8f026f
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2e87bc0..28bebb3 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
${foreign:-} \
"${suite}" "${outdir}" \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo chroot "${outdir}" ./debootstrap/debootstrap --second-stage --second-stag [...]
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 7393af8d66367831f432439c2f7dad8f8c14db7e
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 58ba109..fee62b8 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
"${suite}" "${outdir}" \
${foreign:-} \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo chroot "${outdir}" ./debootstrap/debootstrap --second-stage --second-stag [...]
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards b35ff38 Run second-stage for foreign chroots
discards c104d6e Add check that HEAD maps to something meaningful upstream
discards e5407da Introduce script to build filesystems
adds db23354 Create a file to signal targets to end LAVA session
new 16d7ac1 Introduce script to build filesystems
new 55ab9a5 Add check that HEAD maps to something meaningful upstream
new 7393af8 Run second-stage for foreign chroots
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (b35ff38)
\
N -- N -- N refs/heads/bernie/fs (7393af8)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 2 +-
config/bench/lava/target-session | 5 ++++-
config/bench/lava/target-session.yaml | 1 +
3 files changed, 6 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 55ab9a5576bdc6b38639951de36e087554ccdcbd
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 7548eee..58ba109 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new db23354 Create a file to signal targets to end LAVA session
db23354 is described below
commit db2335482ae58b6899907a67d0c49a494b8d88d9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:05:59 2015 +0200
Create a file to signal targets to end LAVA session
Had been relying on issuing a shutdown to achieve this, but that
didn't work for arndale (probably only works for kvm). This
solution is generic.
Change-Id: Idb725fcea40555941f5bb52deb04faaa02794f11
---
config/bench/lava/host-session | 2 +-
config/bench/lava/target-session | 5 ++++-
config/bench/lava/target-session.yaml | 1 +
3 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 6cbc603..e443445 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -118,7 +118,7 @@ rm ~/data/socket
export ABE_DIR
export targets="${target_names[@]}"
export maindir="/${HOME}/bench"
-export post_target_cmd="shutdown -h 0"
+export post_target_cmd='touch ${HOME}/messages/release'
mkdir "${maindir}"
chmod 700 "${maindir}"
diff --git a/config/bench/lava/target-session b/config/bench/lava/target-session
index f042d82..3b44f1b 100755
--- a/config/bench/lava/target-session
+++ b/config/bench/lava/target-session
@@ -1,3 +1,6 @@
#!/bin/bash
lava-network broadcast eth0
-sleep infinity
+mkdir "${HOME}/messages"
+while ! -e "${HOME}/messages/release"; do
+ inotifywait -e create "${HOME}/messages"
+done
diff --git a/config/bench/lava/target-session.yaml b/config/bench/lava/target-session.yaml
index 6b737ab..65f37a5 100644
--- a/config/bench/lava/target-session.yaml
+++ b/config/bench/lava/target-session.yaml
@@ -17,6 +17,7 @@ install:
- gawk
- libgfortran3
- rsync
+ - inotify-tools
run:
steps:
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from ed5acf2 * testsuite/24_iterators/container_access.cc: New.
new afa3578 [ARM/AArch64 Testsuite] Add basic fp16 tests
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 6 ++++
.../gcc.target/aarch64/fp16/f16_convs_1.c | 34 ++++++++++++++++++++++
.../gcc.target/aarch64/fp16/f16_convs_2.c | 33 +++++++++++++++++++++
.../{nvptx/nvptx.exp => aarch64/fp16/fp16.exp} | 13 +++++----
4 files changed, 80 insertions(+), 6 deletions(-)
create mode 100644 gcc/testsuite/gcc.target/aarch64/fp16/f16_convs_1.c
create mode 100644 gcc/testsuite/gcc.target/aarch64/fp16/f16_convs_2.c
copy gcc/testsuite/gcc.target/{nvptx/nvptx.exp => aarch64/fp16/fp16.exp} (80%)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit b35ff388e61643732f5d8799f45edc6bf5915386
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 58ba109..fee62b8 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
"${suite}" "${outdir}" \
${foreign:-} \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo chroot "${outdir}" ./debootstrap/debootstrap --second-stage --second-stag [...]
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit c104d6eaf8b0f44180c39abacd6cf75983a21826
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 7548eee..58ba109 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.